﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace X12Engine.BO.X12._278._005010X215
{
    [Serializable()]
    public class DependentDetail
    {
        #region Fields

        private HL _dependentLevel;
        private List<TRN> _dependentTraceNumber;
        private DetailBase _other;
        private EntityBase _dependentName;

        #endregion

        #region Constructors

        public DependentDetail() { }

        #endregion

        #region Properties

        public HL DependentLevel
        {
            get { return _dependentLevel; }
            set { _dependentLevel = value; }
        }

        public List<TRN> DependentTraceNumber
        {
            get { return _dependentTraceNumber; }
            set { _dependentTraceNumber = value; }
        }

        public DetailBase Other
        {
            get { return _other; }
            set { _other = value; }
        }

        public EntityBase DependentName
        {
            get { return _dependentName; }
            set { _dependentName = value; }
        }

        #endregion

        #region Methods

        public override string ToString()
        {
            string strReturn = string.Empty;

            if (_dependentLevel != null) strReturn += _dependentLevel.ToString();

            if (_dependentTraceNumber != null)
            {
                foreach (TRN t in _dependentTraceNumber)
                {
                    strReturn += t.ToString();
                }
            }

            if (_other != null) strReturn += _other.ToString();

            if (_dependentName != null) strReturn += _dependentName.ToString();

            return strReturn;
        }

        #endregion
    }
}
