﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace X12Engine.BO.X12._278._005010X217
{
   [Serializable()]
   public class SubscriberDetail
   {


      private HL _subscriberLevel;
      private DetailBase _other;
      private EntityBase _subscriberName;
		private List<AAA> _requestValidation;

		public SubscriberDetail() { }


      public HL SubscriberLevel
      {
         get { return _subscriberLevel; }
         set { _subscriberLevel = value; }
      }

		public List<AAA> RequestValidation
		{
			get { return _requestValidation; }
			set { _requestValidation = value; }
		}

		public DetailBase Other
      {
         get { return _other; }
         set { _other = value; }
      }

      public EntityBase SubscriberName
      {
         get { return _subscriberName; }
         set { _subscriberName = value; }
      }


      public override string ToString()
      {
         string strReturn = string.Empty;

         if (_subscriberLevel != null) strReturn += _subscriberLevel.ToString();

         if (_other != null) strReturn += _other.ToString();

         if (_subscriberName != null) strReturn += _subscriberName.ToString();


			if (_requestValidation != null)
			{
				foreach (AAA a in _requestValidation)
				{
					strReturn += a.ToString();
				}
			}

			return strReturn;
      }

   }
}
