﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace X12Engine.BO.X12._278._005010X217
{
   [Serializable()]
   public class UmoDetail
   {

      private HL _uMOLevel;
      private List<AAA> _requestValidation;
      private DetailBase _other;
      private EntityBase _uMOName;

      public UmoDetail() { }


      public HL UMOLevel
      {
         get { return _uMOLevel; }
         set { _uMOLevel = value; }
      }

      public List<AAA> RequestValidation
      {
         get { return _requestValidation; }
         set { _requestValidation = value; }
      }

      public DetailBase Other
      {
         get { return _other; }
         set { _other = value; }
      }

      public EntityBase UMOName
      {
         get { return _uMOName; }
         set { _uMOName = value; }
      }


      public override string ToString()
      {
         string strReturn = string.Empty;

         //0100
         if (_uMOLevel != null) strReturn += _uMOLevel.ToString();

         //0200
         if (_other != null) _other.CheckSegment("TRN", ref strReturn);



         if (_other != null) strReturn += _other.ToString();

         if (_uMOName != null) strReturn += _uMOName.ToString();


			if (_requestValidation != null)
			{
				foreach (AAA a in _requestValidation)
				{
					strReturn += a.ToString();
				}
			}


			return strReturn;
      }


   }
}
