﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace AAT.Common.BO
{
   class FeeAuthorization
   {
      public int? FeeAuthorizationSID { get; set; }
      public string FeeAuthorizationIEN { get; set; }
      public string PatientIEN { get; set; }
      public int? PatientSID { get; set; }
      public int? Sta3n { get; set; }
      public DateTime? FromDate { get; set; }
      public DateTime? ToDate { get; set; }
      public int? FeeProgramSID { get; set; }
      public int? FeeVendorSID { get; set; }

      public string TypeOfCare { get; set; }
      public string Services { get; set; }
      public SPatient SPatient { get; set; }

      public string UAK
      {
         get
         {
            string uak = string.Empty;

            if (Sta3n != null) uak += Sta3n.Value.ToString() + "+";
            else uak += "0+";

            if (!string.IsNullOrEmpty(FeeAuthorizationIEN)) uak += FeeAuthorizationIEN + "+";
            else uak += "0+";

            if (SPatient != null && !string.IsNullOrEmpty(SPatient.PatientIEN)) uak += SPatient.PatientIEN;
            else uak += "0";

            return uak;
         }
      }
   }
}
