﻿using AAT.Common.BO;
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Text;

namespace AAT.Common.DAL
{
   class RequestDb
   {
      public int Save(Request request)
      {
         int id = 0;
         using (SqlConnection conn = new SqlConnection(Properties.Settings.Default.AATConnection))
         {
            conn.Open();

            using (SqlCommand cmd = new SqlCommand("dbo.usp_SaveRequest", conn))
            {
               cmd.CommandType = CommandType.StoredProcedure;

               cmd.Parameters.AddWithValue("@RequestID", request.RequestID);
               cmd.Parameters.AddWithValue("@RequestReceived", request.RequestReceived);
               cmd.Parameters.AddWithValue("@StartDate", request.StartDate);
               cmd.Parameters.AddWithValue("@EndDate", request.EndDate);
               cmd.Parameters.AddWithValue("@HCCHRequestID", request.HCCHRequestID);
               cmd.Parameters.AddWithValue("@UAK", request.UAK);
               cmd.Parameters.AddWithValue("@MessageText", request.MessageText);
               cmd.Parameters.AddWithValue("@PatientSID", DBUtils.GetIntValue(request.PatientSID));
               cmd.Parameters.AddWithValue("@FeeVendorSID", DBUtils.GetIntValue(request.FeeVendorSID));
               cmd.Parameters.AddWithValue("@ServiceTypeCode", DBUtils.GetStringValue(request.ServiceTypeCode));
               id = (int)cmd.ExecuteScalar();
            }
         }
         return id;
      }

   }
}
