﻿using AAT.Common.BO;
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Text;

namespace AAT.Common.DAL
{
   class ResponseDb
   {
      public void Save(Response response)
      {

         using (SqlConnection conn = new SqlConnection(Properties.Settings.Default.AATConnection))
         {
            conn.Open();

            using (SqlCommand cmd = new SqlCommand("dbo.usp_SaveResponse", conn))
            {
               cmd.CommandType = CommandType.StoredProcedure;

               cmd.Parameters.AddWithValue("@RequestID", response.RequestID);
               cmd.Parameters.AddWithValue("@Sta3n", response.Sta3n);
               cmd.Parameters.AddWithValue("@FeeAuthorizationSID", response.FeeAuthorizationSID);
               cmd.Parameters.AddWithValue("@MessageText", response.MessageText);
               cmd.ExecuteNonQuery();
            }
         }

      }


   }
}
