﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace X12Engine.BO.X12._278._005010X215
{
    [Serializable()]
    public class RequesterDetail
    {
        #region Fields

        private HL _requesterLevel;
        private DetailBase _other;
        private List<EntityBase> _requesterName;

        #endregion

        #region Constructors

        public RequesterDetail() { }

        #endregion

        #region Properties

        public HL RequesterLevel
        {
            get { return _requesterLevel; }
            set { _requesterLevel = value; }
        }

        public DetailBase Other
        {
            get { return _other; }
            set { _other = value; }
        }

        public List<EntityBase> RequesterName
        {
            get { return _requesterName; }
            set { _requesterName = value; }
        }

        #endregion

        #region Methods

        public override string ToString()
        {
            string strReturn = string.Empty;

            if (_requesterLevel != null) strReturn += _requesterLevel.ToString();

            if (_other != null) strReturn += _other.ToString();

            if (_requesterName != null)
            {
                foreach (EntityBase e in _requesterName)
                {
                    strReturn += e.ToString();
                }
            }

            return strReturn;
        }

        #endregion
    }
}
