﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace X12Engine.BO.X12._278._005010X215
{
    [Serializable()]
    public class SubscriberDetail
    {
        #region Fields

        private HL _subscriberLevel;
        private List<TRN> _subscriberTraceNumber;
        private DetailBase _other;
        private EntityBase _subscriberName;

        #endregion

        #region Constructors

        public SubscriberDetail() { }

        #endregion

        #region Properties

        public HL SubscriberLevel
        {
            get { return _subscriberLevel; }
            set { _subscriberLevel = value; }
        }

        public List<TRN> SubscriberTraceNumber
        {
            get { return _subscriberTraceNumber; }
            set { _subscriberTraceNumber = value; }
        }

        public DetailBase Other
        {
            get { return _other; }
            set { _other = value; }
        }

        public EntityBase SubscriberName
        {
            get { return _subscriberName; }
            set { _subscriberName = value; }
        }

        #endregion

        #region Methods

        public override string ToString()
        {
            string strReturn = string.Empty;

            if (_subscriberLevel != null) strReturn += _subscriberLevel.ToString();

            if (_subscriberTraceNumber != null)
            {
                foreach (TRN t in _subscriberTraceNumber)
                {
                    strReturn += t.ToString();
                }
            }

            if (_other != null) strReturn += _other.ToString();

            if (_subscriberName != null) strReturn += _subscriberName.ToString();

            return strReturn;
        }

        #endregion
    }
}
