﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace X12Engine
{
   public static class Settings
   {
      private static char _dataElementSeparator = '*';
      private static char _repetitionSeparator = '^';
      private static char _componentElementSeparator = ':';
      private static char _segmentTerminator = '~';

      public static char Data_Element_Separator
      {
         get { return _dataElementSeparator; }
			set { _dataElementSeparator = value; }
		}

      public static char Repetition_Separator
      {
         get { return _repetitionSeparator; }
         set { _repetitionSeparator = value; }
      }

      public static char Component_Element_Separator
      {
         get { return _componentElementSeparator; }
         set { _componentElementSeparator = value; }
      }

      public static char Segment_Terminator
      {
         get { return _segmentTerminator; }
			set { _segmentTerminator = value; }
		}

      public static void Reset()
      {
         _repetitionSeparator = '^';
         _componentElementSeparator = ':';
      }
   }
}
